<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_12</title>
</head>
<body>
    <h1>Ejercicio 12</h1>

    <script>
        
    const intersection = (a, b) => {
        mergesort(b);
        let intersect = 0;

        for (var x = 0; x < a.length; x++) {
            if (binarySearch(b, x) >= 0) {
                intersect++;
            }
        }
        return intersect;
    }

    let array1 = [1,2,3,4,5],
        array2 = [6,7,8,9,10];
        console.log(array1,array2);

    </script>
    
</body>
</html>